#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:	Accessing various Google services via their public API
Name:		libkgapi
Version: 17.12.2
Release:	%mkrel %rel
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://www.dvratil.cz/category/akonadi-google/
Source0:	https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
ExcludeArch:	armv5tl

BuildRequires:	kf5-macros

BuildRequires:	cmake(KF5CalendarCore)
BuildRequires:	cmake(KF5Contacts)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WindowSystem)

BuildRequires:	qttools5

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)

%files -f %{name}_qt.lang
%{_kf5_sysconfdir}/xdg/libkgapi.categories

#--------------------------------------------------------------------

%define libkpimgapiblogger_major  5
%define libkpimgapiblogger        %mklibname kpimgapiblogger %{libkpimgapiblogger_major}

%package -n	%{libkpimgapiblogger}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapiblogger}
Runtime Library for %{name}.

%files -n %{libkpimgapiblogger}
%{_kf5_libdir}/libKPimGAPIBlogger.so.%{libkpimgapiblogger_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicalendar_major 5
%define libkpimgapicalendar       %mklibname kpimgapicalendar %{libkpimgapicalendar_major}

%package -n	%{libkpimgapicalendar}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapicalendar}
Runtime Library for %{name}.

%files -n %{libkpimgapicalendar}
%{_kf5_libdir}/libKPimGAPICalendar.so.%{libkpimgapicalendar_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicontacts_major 5
%define libkpimgapicontacts       %mklibname kpimgapicontacts %{libkpimgapicontacts_major}

%package -n	%{libkpimgapicontacts}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapicontacts}
Runtime Library for %{name}.

%files -n %{libkpimgapicontacts}
%{_kf5_libdir}/libKPimGAPIContacts.so.%{libkpimgapicontacts_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapicore_major     5
%define libkpimgapicore           %mklibname kpimgapicore %{libkpimgapicore_major}

%package -n	%{libkpimgapicore}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapicore}
Runtime Library for %{name}.

%files -n %{libkpimgapicore}
%{_kf5_libdir}/libKPimGAPICore.so.%{libkpimgapicore_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapidrive_major    5
%define libkpimgapidrive          %mklibname kpimgapidrive %{libkpimgapidrive_major}

%package -n	%{libkpimgapidrive}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapidrive}
Runtime Library for %{name}.

%files -n %{libkpimgapidrive}
%{_kf5_libdir}/libKPimGAPIDrive.so.%{libkpimgapidrive_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapilatitude_major 5
%define libkpimgapilatitude       %mklibname kpimgapilatitude %{libkpimgapilatitude_major}

%package -n	%{libkpimgapilatitude}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapilatitude}
Runtime Library for %{name}.

%files -n %{libkpimgapilatitude}
%{_kf5_libdir}/libKPimGAPILatitude.so.%{libkpimgapilatitude_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapimaps_major     5
%define libkpimgapimaps           %mklibname kpimgapimaps %{libkpimgapimaps_major}

%package -n	%{libkpimgapimaps}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapimaps}
Runtime Library for %{name}.

%files -n %{libkpimgapimaps}
%{_kf5_libdir}/libKPimGAPIMaps.so.%{libkpimgapimaps_major}{,.*}

#----------------------------------------------------------------------

%define libkpimgapitasks_major    5
%define libkpimgapitasks          %mklibname kpimgapitasks %{libkpimgapitasks_major}

%package -n	%{libkpimgapitasks}
Summary:	Runtime library for %{name}
Group:		System/Libraries

%description -n	%{libkpimgapitasks}
Runtime Library for %{name}.

%files -n %{libkpimgapitasks}
%{_kf5_libdir}/libKPimGAPITasks.so.%{libkpimgapitasks_major}{,.*}

#----------------------------------------------------------------------

%define libkf5gapi_devel         %mklibname kf5gapi -d

%package -n	%{libkf5gapi_devel}
Summary:	Devel files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkpimgapiblogger} = %{version}
Requires:	%{libkpimgapicalendar} = %{version}
Requires:	%{libkpimgapicontacts} = %{version}
Requires:	%{libkpimgapidrive} = %{version}
Requires:	%{libkpimgapicore} = %{version}
Requires:	%{libkpimgapilatitude} = %{version}
Requires:	%{libkpimgapimaps} = %{version}
Requires:	%{libkpimgapitasks} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	kgapi-devel = %{version}-%{release}
Provides:	kf5gapi-devel = %{version}-%{release}
Provides:	kpimgapi-devel = %{version}-%{release}
Provides:	libkf5gapi-devel = %{version}-%{release}

Obsoletes:	%{mklibname kgapi -d} < 2.2.0-5

%description -n %{libkf5gapi_devel}
Devel files for %{name}.

%files -n %{libkf5gapi_devel}
%{_kf5_libdir}/libKPimGAPI*.so
%{_includedir}/KPim/
%{_kf5_libdir}/cmake/KPimGAPI/
%{_kf5_mkspecsdir}/*.pri

#---------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang_kf5 %{name}_qt


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202346
- New version 17.12.2
- New version 17.12.1

* Thu Dec 15 2016 neoclust <neoclust> 5.3.1-2.mga6
+ Revision: 1075426
- Rebuild against new kdepim stack

* Thu Sep 08 2016 daviddavid <daviddavid> 5.3.1-1.mga6
+ Revision: 1050786
- new version: 5.3.1

* Tue Aug 23 2016 daviddavid <daviddavid> 5.3.0-1.mga6
+ Revision: 1048050
- new version: 5.3.0

* Wed Jun 08 2016 daviddavid <daviddavid> 5.1.0-1.mga6
+ Revision: 1020920
- new version: 5.1.0
- port to Qt5/Kf5
- update URL and update description

* Wed Feb 03 2016 umeabot <umeabot> 2.2.0-4.mga6
+ Revision: 934015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 743239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 681557
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 fwang <fwang> 2.2.0-1.mga5
+ Revision: 655818
- 2.2.0

* Mon Jul 14 2014 lmenut <lmenut> 2.1.80-1.mga5
+ Revision: 652077
- Update to 2.1.80

* Thu Apr 17 2014 lmenut <lmenut> 2.1.1-1.mga5
+ Revision: 615682
- Update to 2.1.1

* Tue Mar 04 2014 fwang <fwang> 2.1.0-1.mga5
+ Revision: 599318
- update file list
- update file list
- 2.1.0
- bump req

  + neoclust <neoclust>
    - New version 2.0.2 ( Bugfix release)

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 529340
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - boost is not required

* Tue Jul 09 2013 fwang <fwang> 2.0.1-2.mga4
+ Revision: 451668
- rebuild for new boost

* Thu Jun 06 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 438254
- update file list
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 0.4.4-1.mga3
+ Revision: 332516
- new version 0.4.4

* Mon Oct 22 2012 fwang <fwang> 0.4.3-1.mga3
+ Revision: 309090
- new version 0.4.3

* Mon Aug 27 2012 fwang <fwang> 0.4.2-1.mga3
+ Revision: 284570
- new version 0.4.2

* Sun Jul 15 2012 fwang <fwang> 0.4.1-2.mga3
+ Revision: 270934
- obsoletes old libkgoogle

* Tue Jun 12 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 259942
- new version 0.4.1

* Sun Jun 10 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 259316
- imported package libkgapi

